* [gentoo-commits] repo/gentoo:master commit in: net-misc/bopm/, net-misc/bopm/files/
@ 2015-10-03 3:04 Nathan Phillip Brink
0 siblings, 0 replies; 3+ messages in thread
From: Nathan Phillip Brink @ 2015-10-03 3:04 UTC (permalink / raw
To: gentoo-commits
commit: 0528c472627b1698f679374ceaf9534586dabfa2
Author: Nathan Phillip Brink <binki <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 3 03:03:06 2015 +0000
Commit: Nathan Phillip Brink <binki <AT> gentoo <DOT> org>
CommitDate: Sat Oct 3 03:03:06 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0528c472
net-misc/bopm: Support tmpfs /run for bug #562032. Thanks shentino, grknight.
Package-Manager: portage-2.2.20
net-misc/bopm/bopm-3.1.3-r1.ebuild | 57 ++++++++++++++++++++++++++++++++++++++
net-misc/bopm/files/bopm.conf.d-r1 | 9 ++++++
net-misc/bopm/files/bopm.init.d-r1 | 17 ++++++++++++
3 files changed, 83 insertions(+)
diff --git a/net-misc/bopm/bopm-3.1.3-r1.ebuild b/net-misc/bopm/bopm-3.1.3-r1.ebuild
new file mode 100644
index 0000000..6636224
--- /dev/null
+++ b/net-misc/bopm/bopm-3.1.3-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib user
+
+DESCRIPTION="Blitzed Open Proxy Monitor"
+HOMEPAGE="http://www.blitzed.org/bopm/"
+SRC_URI="http://static.blitzed.org/www.blitzed.org/${PN}/files/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf \
+ --datadir="${EPREFIX}"/usr/share/doc/${PF} \
+ --localstatedir="${EPREFIX}"/var/log/${PN}
+}
+
+src_install () {
+ sed -i \
+ -e "s!/some/path/bopm.pid!/run/${PN}/${PN}.pid!" \
+ -e "s!/some/path/scan.log!/var/log/${PN}/scan.log!" \
+ bopm.conf.sample || die
+
+ # Custom Makefile.am rules do not respect DESTDIR,
+ # thus override sysconfdir and localstatedir.
+ emake \
+ DESTDIR="${D}" \
+ sysconfdir="${ED}"/etc \
+ localstatedir="${ED}"/var/log/bopm \
+ install || die "install failed"
+
+ fperms 600 /etc/bopm.conf
+
+ # Remove libopm related files, because bopm links statically to it
+ # If anybody wants libopm, please install net-libs/libopm
+ rm -r "${ED}"/usr/$(get_libdir) "${ED}"/usr/include || die
+
+ newinitd "${FILESDIR}"/bopm.init.d-r1 ${PN}
+ newconfd "${FILESDIR}"/bopm.conf.d-r1 ${PN}
+
+ dodoc ChangeLog INSTALL README TODO
+}
+
+pkg_postinst() {
+ enewuser bopm
+
+ install -d -m 0700 -o bopm -g root "${ROOT}"/var/log/bopm
+ chown bopm "${ROOT}"/etc/bopm.conf
+}
diff --git a/net-misc/bopm/files/bopm.conf.d-r1 b/net-misc/bopm/files/bopm.conf.d-r1
new file mode 100644
index 0000000..71bacbe
--- /dev/null
+++ b/net-misc/bopm/files/bopm.conf.d-r1
@@ -0,0 +1,9 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/bopm
+
+BOPM_UID=bopm
+CONFFILE=/etc/${SVCNAME}.conf
+PIDFILE=/run/bopm/${SVCNAME}.pid
diff --git a/net-misc/bopm/files/bopm.init.d-r1 b/net-misc/bopm/files/bopm.init.d-r1
new file mode 100644
index 0000000..4f6f2ea
--- /dev/null
+++ b/net-misc/bopm/files/bopm.init.d-r1
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+command="/usr/bin/bopm"
+description="Blitzed Open Proxy Monitor"
+start_stop_daemon_args="--quiet --chuid ${BOPM_UID}"
+pidfile="${PIDFILE}"
+
+depend() {
+ need net
+}
+
+start_pre() {
+ checkpath -o ${BOPM_UID} -d "$(dirname "${PIDFILE}")"
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-misc/bopm/, net-misc/bopm/files/
@ 2016-08-29 19:32 David Seifert
0 siblings, 0 replies; 3+ messages in thread
From: David Seifert @ 2016-08-29 19:32 UTC (permalink / raw
To: gentoo-commits
commit: bcbb6eeb5f4870efac32ce3d72458f276f7a4b3e
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 29 19:31:47 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Aug 29 19:31:47 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bcbb6eeb
net-misc/bopm: Install bopm.conf.sample in docdir too
Package-Manager: portage-2.3.0
net-misc/bopm/{bopm-3.1.3-r2.ebuild => bopm-3.1.3-r3.ebuild} | 11 ++++++-----
net-misc/bopm/files/bopm-3.1.3-autotools.patch | 2 +-
net-misc/bopm/files/bopm-3.1.3-remove-njabl.patch | 6 +++---
3 files changed, 10 insertions(+), 9 deletions(-)
diff --git a/net-misc/bopm/bopm-3.1.3-r2.ebuild b/net-misc/bopm/bopm-3.1.3-r3.ebuild
similarity index 95%
rename from net-misc/bopm/bopm-3.1.3-r2.ebuild
rename to net-misc/bopm/bopm-3.1.3-r3.ebuild
index 75d5f68..fda838c 100644
--- a/net-misc/bopm/bopm-3.1.3-r2.ebuild
+++ b/net-misc/bopm/bopm-3.1.3-r3.ebuild
@@ -28,16 +28,17 @@ pkg_setup() {
}
src_prepare() {
- mv bopm.conf{.sample,} || die
- mv configure.{in,ac} || die
- mv src/libopm/configure.{in,ac} || die
-
sed -i \
-e "s!/some/path/bopm.pid!/run/${PN}/${PN}.pid!" \
-e "s!/some/path/scan.log!/var/log/${PN}/scan.log!" \
- bopm.conf || die
+ bopm.conf.sample || die
+
+ mv configure.{in,ac} || die
+ mv src/libopm/configure.{in,ac} || die
default
+ cp bopm.conf{.sample,} || die
+
eautoreconf
}
diff --git a/net-misc/bopm/files/bopm-3.1.3-autotools.patch b/net-misc/bopm/files/bopm-3.1.3-autotools.patch
index 992a1ff..e336150 100644
--- a/net-misc/bopm/files/bopm-3.1.3-autotools.patch
+++ b/net-misc/bopm/files/bopm-3.1.3-autotools.patch
@@ -14,7 +14,7 @@
SUBDIRS = src
-data_DATA = bopm.conf.sample bopm.conf.blitzed
-+dist_doc_DATA = bopm.conf.blitzed
++dist_doc_DATA = bopm.conf.sample bopm.conf.blitzed
-EXTRA_DIST = ChangeLog contrib INSTALL README bopm.conf.sample bopm.conf.blitzed network-bopm
+EXTRA_DIST = ChangeLog contrib INSTALL README network-bopm
diff --git a/net-misc/bopm/files/bopm-3.1.3-remove-njabl.patch b/net-misc/bopm/files/bopm-3.1.3-remove-njabl.patch
index 588ccd6..318dae6 100644
--- a/net-misc/bopm/files/bopm-3.1.3-remove-njabl.patch
+++ b/net-misc/bopm/files/bopm-3.1.3-remove-njabl.patch
@@ -3,10 +3,10 @@ Remove NJABL as an example blacklist.
NJABL has been shut down and bopm upstream still lists it in its default
configuration.
---
-diff --git a/bopm.conf b/bopm.conf
+diff --git a/bopm.conf.sample b/bopm.conf.sample
index 74483e1..bc05bf4 100644
---- a/bopm.conf
-+++ b/bopm.conf
+--- a/bopm.conf.sample
++++ b/bopm.conf.sample
@@ -363,18 +363,6 @@ OPM {
# };
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-misc/bopm/, net-misc/bopm/files/
@ 2023-03-19 1:02 Sam James
0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2023-03-19 1:02 UTC (permalink / raw
To: gentoo-commits
commit: aa6bff56c719332a4f2a810bd2b690af1bc375e8
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 00:56:53 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 00:56:53 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa6bff56
net-misc/bopm: fix configure w/ clang 16
Closes: https://bugs.gentoo.org/900254
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../{bopm-3.1.3-r6.ebuild => bopm-3.1.3-r7.ebuild} | 11 ++-
net-misc/bopm/files/bopm-3.1.3-autotools.patch | 88 ----------------------
2 files changed, 8 insertions(+), 91 deletions(-)
diff --git a/net-misc/bopm/bopm-3.1.3-r6.ebuild b/net-misc/bopm/bopm-3.1.3-r7.ebuild
similarity index 80%
rename from net-misc/bopm/bopm-3.1.3-r6.ebuild
rename to net-misc/bopm/bopm-3.1.3-r7.ebuild
index ae8dd5a2d897..d42d9a0d0a54 100644
--- a/net-misc/bopm/bopm-3.1.3-r6.ebuild
+++ b/net-misc/bopm/bopm-3.1.3-r7.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit autotools
@@ -14,6 +14,8 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~ppc ~x86"
RDEPEND="acct-user/opm"
+BDEPEND="acct-user/opm"
+BDEPEND="sys-devel/autoconf-archive"
PATCHES=(
"${FILESDIR}"/${P}-remove-njabl.patch
@@ -29,6 +31,8 @@ src_prepare() {
mv configure.{in,ac} || die
mv src/libopm/configure.{in,ac} || die
+ mkdir src/libopm/m4 || die
+ cp "${BROOT}"/usr/share/aclocal/ax_func_snprintf.m4 src/libopm/m4/ax_func_snprintf.m4 || die
default
cp bopm.conf{.sample,} || die
@@ -37,7 +41,8 @@ src_prepare() {
}
src_configure() {
- econf --localstatedir="${EPREFIX}"/var/log/${PN}
+ # We need --enable-static to build libopm.a. We don't install it so it's fine.
+ econf --localstatedir="${EPREFIX}"/var/log/${PN} --enable-static
}
src_install() {
diff --git a/net-misc/bopm/files/bopm-3.1.3-autotools.patch b/net-misc/bopm/files/bopm-3.1.3-autotools.patch
index e2927b0b74b6..e336150f430c 100644
--- a/net-misc/bopm/files/bopm-3.1.3-autotools.patch
+++ b/net-misc/bopm/files/bopm-3.1.3-autotools.patch
@@ -44,94 +44,6 @@
AC_CONFIG_SRCDIR(src/libopm.h)
AM_CONFIG_HEADER(src/setup.h)
AM_INIT_AUTOMAKE()
---- bopm-3.1.3/src/libopm/m4/ax_func_snprintf.m4
-+++ bopm-3.1.3/src/libopm/m4/ax_func_snprintf.m4
-@@ -0,0 +1,85 @@
-+# ===========================================================================
-+# http://www.gnu.org/software/autoconf-archive/ax_func_snprintf.html
-+# ===========================================================================
-+#
-+# SYNOPSIS
-+#
-+# AX_FUNC_SNPRINTF
-+#
-+# DESCRIPTION
-+#
-+# Checks for a fully C99 compliant snprintf, in particular checks whether
-+# it does bounds checking and returns the correct string length; does the
-+# same check for vsnprintf. If no working snprintf or vsnprintf is found,
-+# request a replacement and warn the user about it. Note: the mentioned
-+# replacement is freely available and may be used in any project
-+# regardless of it's license.
-+#
-+# LICENSE
-+#
-+# Copyright (c) 2008 Ruediger Kuhlmann <info@ruediger-kuhlmann.de>
-+#
-+# Copying and distribution of this file, with or without modification, are
-+# permitted in any medium without royalty provided the copyright notice
-+# and this notice are preserved. This file is offered as-is, without any
-+# warranty.
-+
-+#serial 5
-+
-+AU_ALIAS([AC_FUNC_SNPRINTF], [AX_FUNC_SNPRINTF])
-+AC_DEFUN([AX_FUNC_SNPRINTF],
-+[AC_CHECK_FUNCS(snprintf vsnprintf)
-+AC_MSG_CHECKING(for working snprintf)
-+AC_CACHE_VAL(ac_cv_have_working_snprintf,
-+[AC_TRY_RUN(
-+[#include <stdio.h>
-+
-+int main(void)
-+{
-+ char bufs[5] = { 'x', 'x', 'x', '\0', '\0' };
-+ char bufd[5] = { 'x', 'x', 'x', '\0', '\0' };
-+ int i;
-+ i = snprintf (bufs, 2, "%s", "111");
-+ if (strcmp (bufs, "1")) exit (1);
-+ if (i != 3) exit (1);
-+ i = snprintf (bufd, 2, "%d", 111);
-+ if (strcmp (bufd, "1")) exit (1);
-+ if (i != 3) exit (1);
-+ exit(0);
-+}], ac_cv_have_working_snprintf=yes, ac_cv_have_working_snprintf=no, ac_cv_have_working_snprintf=cross)])
-+AC_MSG_RESULT([$ac_cv_have_working_snprintf])
-+AC_MSG_CHECKING(for working vsnprintf)
-+AC_CACHE_VAL(ac_cv_have_working_vsnprintf,
-+[AC_TRY_RUN(
-+[#include <stdio.h>
-+#include <stdarg.h>
-+
-+int my_vsnprintf (char *buf, const char *tmpl, ...)
-+{
-+ int i;
-+ va_list args;
-+ va_start (args, tmpl);
-+ i = vsnprintf (buf, 2, tmpl, args);
-+ va_end (args);
-+ return i;
-+}
-+
-+int main(void)
-+{
-+ char bufs[5] = { 'x', 'x', 'x', '\0', '\0' };
-+ char bufd[5] = { 'x', 'x', 'x', '\0', '\0' };
-+ int i;
-+ i = my_vsnprintf (bufs, "%s", "111");
-+ if (strcmp (bufs, "1")) exit (1);
-+ if (i != 3) exit (1);
-+ i = my_vsnprintf (bufd, "%d", 111);
-+ if (strcmp (bufd, "1")) exit (1);
-+ if (i != 3) exit (1);
-+ exit(0);
-+}], ac_cv_have_working_vsnprintf=yes, ac_cv_have_working_vsnprintf=no, ac_cv_have_working_vsnprintf=cross)])
-+AC_MSG_RESULT([$ac_cv_have_working_vsnprintf])
-+if test x$ac_cv_have_working_snprintf$ac_cv_have_working_vsnprintf != "xyesyes"; then
-+ AC_LIBOBJ(snprintf)
-+ AC_MSG_WARN([Replacing missing/broken (v)snprintf() with version from http://www.ijs.si/software/snprintf/.])
-+ AC_DEFINE(PREFER_PORTABLE_SNPRINTF, 1, "enable replacement (v)snprintf if system (v)snprintf is broken")
-+fi])
--- bopm-3.1.3/src/libopm/m4/etr_socket_nsl.m4
+++ bopm-3.1.3/src/libopm/m4/etr_socket_nsl.m4
@@ -0,0 +1,81 @@
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2023-03-19 1:02 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-10-03 3:04 [gentoo-commits] repo/gentoo:master commit in: net-misc/bopm/, net-misc/bopm/files/ Nathan Phillip Brink
-- strict thread matches above, loose matches on Subject: below --
2016-08-29 19:32 David Seifert
2023-03-19 1:02 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox